APIs / CarGurus / Search

CarGurus: Search

Search from CarGurus as JSON. 1 credit per successful call.

GET /v1/cargurus/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
make_model_trim_pathsstringOptionalUp to 200 characters
price_minintegerOptionalAny
price_maxintegerOptionalAny
distanceintegerOptionalAny
sortstringOptionalbest_match, deal_score, price, mileage, distance, date
sort_directionstringOptionalasc, desc
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/cargurus/search?make_model_trim_paths=m26%2Fd126&distance=50000&sort=best_match" \
  -H "X-API-Key: $API_KEY"